summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-11 10:10:20 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-11 10:10:20 +0200
commit4f575cdcf669879141ff8173187c57d1356da3eb (patch)
tree9b029e299d8cf9f50e37241f0c2db2a412f5c2f7
parentebec1b7a88935038ec5c18d7266d0760282c8a98 (diff)
downloadalienarm-4f575cdcf669879141ff8173187c57d1356da3eb.tar.gz
alienarm-4f575cdcf669879141ff8173187c57d1356da3eb.tar.xz
Kernel: build fix for the 3.8.4 kernel when USB drivers are built as modules.
-rwxr-xr-xsource.local/k/k.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source.local/k/k.SlackBuild b/source.local/k/k.SlackBuild
index c97bc75..cd2ce41 100755
--- a/source.local/k/k.SlackBuild
+++ b/source.local/k/k.SlackBuild
@@ -130,6 +130,9 @@ rm -rf $SRC/linux-${KVER}
find $CWD/sources/firmware -type f \
-exec tar -C $SRC/linux-${KVER}/firmware -xvf {} \;
+ # Build fix for compiling Tegra USB support as modules:
+ sed -i '/obj-$(CONFIG_USB_COMMON).*+= phy\// a\obj-$(CONFIG_USB_EHCI_TEGRA) += phy\/' drivers/usb/Makefile || exit 1
+
chown -R root:root .
echo "Fixing permissions... takes a long time in a VM or on ARM..."
find . -perm 666 -exec chmod 644 {} \;
@@ -179,7 +182,6 @@ if [ -n "$PATCHDIR" ]; then
done
fi
-
# End of preparations
if echo "$*" | grep -qw -- --prep ; then
exit 0